GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

          • Get Application Details
          • Get Application List
          • Get Simple Application Information
          • Get Simple Application Information List
          • Create Application
          • Delete application
          • Get application key
          • Refresh application key
          • Get the current logged-in user of the application
          • Get the default access authorization strategy of the application
          • Update the default access authorization strategy of the application
          • Authorize application access permissions
          • Delete application access authorization records
          • Check whether the domain name is available
          • Get user MFA trigger data under the application
        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage Applications

  10. /
  11. Get Application Details

¶ Get application detail

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get application detail through application ID.

¶ Method Name

ManagementClient.getApplication

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
appIdstringYes-Application ID6229ffaxxxxxxxxcade3e3d9

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.ApplicationSingleRespDto;
import cn.authing.sdk.java.dto.GetApplicationDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class GetApplicationTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        GetApplicationDto reqDto = new GetApplicationDto();
        reqDto.setAppId("6229ffaxxxxxxxxcade3e3d9");
        ApplicationSingleRespDto response = client.getApplication(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: ApplicationSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataApplicationDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "appId": "62eaa95fe0xxxx9a5295bf7c",
    "appIdentifier": "example",
    "appName": "Demo",
    "appLogo": "Demo",
    "appDescription": "Example description",
    "appType": "web",
    "defaultProtocol": "oidc",
    "redirectUris": "[\"https://example.com/callback\"]",
    "logoutRedirectUris": "[\"https://example.com/logout-callback\"]",
    "initLoginUri": "[\"https://example.com/login\"]",
    "ssoEnabled": true,
    "ssoEnabledAt": "2022-07-03T03:20:30.000Z",
    "loginConfig": {
      "enabledBasicLoginMethods": "[\"EMAIL_CODE\",\"EMAIL_PASSWORD\"]",
      "defaultLoginMethod": {
        "connectionType": "QRCODE",
        "qrcodeExtIdpConnId": "6303a2bf2xxxxx7f665f01bf1"
      },
      "enabledExtIdpConns": "[\"6303a2bf2xxxx7f665f01bf1\",\"6321397b6xxxx1b8481ccfc0\"]"
    },
    "registerConfig": {
      "enabledBasicRegisterMethods": "[\"EMAIL_CODE\",\"PHONE_CODE\"]",
      "defaultRegisterMethod": {
        "connectionType": "PASSWORD"
      }
    },
    "brandingConfig": {
      "customCSS": "/* \nEdit login page css\neg:\n.authing-guard-layout {\n  background: black !important;\n}\nChange the background color\n*/",
      "guardVersion": "Advanced",
      "customLoadingImage": "https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png",
      "customBackground": "https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png",
      "defaultLanguage": "zh-CN",
      "showForgetPasswordButton": true,
      "showEnterpriseConnections": true,
      "showSocialConnections": true,
      "agreements": {
        "displayAt": "[\"LoginPage\",\"RegisterPage\"]",
        "isRequired": true,
        "lang": "zh-CN",
        "content": "I have read and agree to the Privacy Policy and Terms of Service"
      }
    },
    "oidcConfig": {},
    "samlConfig": {},
    "oauthConfig": {},
    "casConfig": {},
    "template": "github"
  }
}

¶ Data Structure

¶ ApplicationDto

NameType
Is it required
Description
Example Value
appIdstringYesApplication ID62eaa95fe0xxxx9a5295bf7c
appIdentifierstringYesApplication unique identifierexample
appNamestringYesApplication NameDemo
appLogostringYesApplication Logo linkDemo
appDescriptionstringNoApplication descriptionExample description
appTypestringYesApplication typeweb
userPoolIdstringYesUser pool ID
isIntegrateAppbooleanYesYes No is an integrated application
defaultProtocolstringYesDefault application protocol typeoidc
redirectUrisarrayYesApplication login callback address["https://example.com/callback"]
logoutRedirectUrisarrayYesApplication logout callback address["https://example.com/logout-callback"]
initLoginUristringYesInitiate login address: When you click "Experience Login" in the GenAuth application detail or click the application icon in the application panel, you will be redirected to this URL, which is the GenAuth login page by default.["https://example.com/login"]
ssoEnabledbooleanYesYes No Enable SSO single sign-ontrue
ssoEnabledAtstringNoTime to enable SSO single sign-on2022-07-03T03:20:30.000Z
loginConfigYesLogin configuration Nested Type: ApplicationLoginConfigDto.
registerConfigYesRegistration configuration Nested Type: ApplicationRegisterConfig.
brandingConfigYesBranding configuration Nested Type: ApplicationBrandingConfig.
oidcConfigYesOIDC protocol configuration Nested Type: OIDCConfig.
samlProviderEnabledbooleanYesYes No Enable SAML identity provider
samlConfigNoSAML protocol configuration Nested Type: SamlIdpConfig.
oauthProviderEnabledbooleanYesYes No Enable OAuth identity provider
oauthConfigNoOAuth2.0 protocol configuration Nested Type: OauthIdpConfig.
casProviderEnabledbooleanYesYes No Enable CAS identity provider
casConfigNoCAS protocol configuration Nested Type: CasIdPConfig.
customBrandingEnabledbooleanYesYes No Customize the login box of this application. The global login box configuration is used by default.
customSecurityEnabledbooleanYesYes No Customize the security rules of this application. The global security configuration is used by default.
templatestringNoTemplate type for integrated applicationsgithub

¶ ApplicationLoginConfigDto

NameType
Is it required
Description
Example Value
mergeLoginAndRegisterPagebooleanYesYes No Enable login and registration merge
enabledBasicLoginMethodsarrayYesEnabled basic login method["EMAIL_CODE","EMAIL_PASSWORD"]
defaultLoginMethodYesApplication default login method (excluding social login and enterprise identity source login) Nested Type: ApplicationDefaultLoginMethod.{"connectionType":"QRCODE","qrcodeExtIdpConnId":"6303a2bf2xxxxx7f665f01bf1"}
enabledExtIdpConnsarrayYesEnabled external identity source connection Nested Type: ApplicationEnabledExtIdpConnDto.["6303a2bf2xxxx7f665f01bf1","6321397b6xxxx1b8481ccfc0"]
showAuthorizationPagebooleanYesYes No Display user authorization page

¶ ApplicationDefaultLoginMethod

NameType
Is it required
Description
Example Value
connectionTypestringYesDefault login type
- PASSWORD: Password type, depends on the basic login method you enable, supports mobile phone number/email/user name + password for login
- PASSCODE: Verification code type, depends on the basic login method you enable, supports mobile phone number/email + verification code for login
- QRCODE: Scan code login type, currently includes three types: scan code login for self-built APP, scan code login for WeChat public account, and scan code login for WeChat mini program
PASSCODE
qrcodeTypestringYesWhen connectionType is QRCODE, this parameter indicates the QR code type.
- SELF_BUILT_APP: Scan the QR code of self-built APP
- WECHAT_OFFICIAL_ACCOUNT: Scan the QR code to follow the WeChat official account to log in
- WECHAT_MINI_PROGRAM: Scan the QR code to log in to the WeChat mini program
SELF_BUILT_APP
qrcodeExtIdpConnIdstringYesWhen connectionType is QRCODE, you need to specify the ID of the specific scan code login identity source connection through this parameter.6303a2bf2xxxxx7f665f01bf1
adExtIdpConnIdstringYesWhen connectionType is AD, you need to specify the ID of the specific AD identity source connection through this parameter.6303a2bf2xxxxx7f665f01bf1
ldapExtIdpConnIdstringYesWhen connectionType is LDAP, you need to specify the ID of the specific LDAP identity source connection through this parameter.6303a2bf2xxxxx7f665f01bf1

¶ ApplicationEnabledExtIdpConnDto

NameType
Is it required
Description
Example Value
isSocialbooleanYesYes No Social login identity source connectiontrue
extIdpIdstringYesIdentity source ID6303a2bf2xxxxx7f665f01bf1
extIdpTypestringYesIdentity source typeoidc
extIdpConnIdstringYesIdentity source connection ID6303a2bf2xxxxx7f665f01bf1
extIdpConnTypestringYesIdentity source connection typeoidc
extIdpConnIdentifierstringYesIdentity source connection readable unique flag6303a2bf2xxxxx7f665f01bf1
extIdpConnDisplayNamestringYesWeChat6303a2bf2xxxxx7f665f01bf1
extIdpConnLogostringYesIdentity source connection Logohttps://files.authing.co/authing-console/social-connections/wechatBrowser.svg
enabledbooleanNoYes No Allow identity source connection

¶ ApplicationRegisterConfig

NameType
Is it required
Description
Example Value
enabledBasicRegisterMethodsarrayYesEnabled registration method["EMAIL_CODE","PHONE_CODE"]
defaultRegisterMethodstringYesDefault registration type
- PASSWORD: Password type, supports email + password login
- PASSCODE: Verification code type, depends on the registration method you enable, supports mobile phone number/email + verification code login
PASSCODE

¶ ApplicationBrandingConfig

NameType
Is it required
Description
Example Value
customCSSEnabledbooleanYesYes No Enable custom CSS
customCSSstringNoCustom CSS content`/*

Edit login page css eg: .authing-guard-layout { background: black !important; } Change the background color */| | guardVersion | string | Yes | Guard version: <br>-Advanced: Advanced version <br>-Classical: Classic version <br> | Advanced | | customLoadingImage | string | No | Custom loading icon, displayed when the login box is loading |https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png| | customBackground | string | No | Custom login page background, example: <br>- Image background:url(https://files.authing.co/user-contents/photos/6c6b3726-4a04-4ba7-b686-1a275f81a47a.png) center/cover<br>- Solid color background:rgba(37,49,122,1)<br> |https://files.authing.co/user-contents/photos/cbd51df7-efb1-4b50-b38c-d8e5a04b1830.png| | showChangeLanguageButton | boolean | Yes | Yes No Show language change button | | | defaultLanguage | string | Yes | Default language:<br>-zh-CN: Simplified Chinese<br>-zh-TW: Traditional Chinese<br>-en-US: English<br>-ja-JP: Japanese<br> | zh-CN | | showForgetPasswordButton | boolean | Yes | Yes No Show the Forgot Password button |true| | showEnterpriseConnections | boolean | Yes | Yes No Display enterprise identity source login method |true| | showSocialConnections | boolean | Yes | Yes No Display social login method |true` | | showAgreement | boolean | Yes | Yes No Display login and registration agreements | | | agreements | array | Yes | Display login and registration agreement list Nested Type: ApplicationAgreementDto. | |

¶ ApplicationAgreementDto

NameType
Is it required
Description
Example Value
displayAtarrayYesPages to display (multiple selections possible):
- LoginPage: Login page
- RegisterPage: Registration page
["LoginPage","RegisterPage"]
isRequiredbooleanYesYes No Required to be checkedtrue
langstringYesFor which languages ​​is this agreement valid:
- zh-CN: Simplified Chinese
- zh-TW: Traditional Chinese
- en-US: English
- ja-JP: Japanese
zh-CN
contentstringYesFor which languages ​​is this agreement validI have read and agreed to the Privacy Agreement and Terms of Service

¶ OIDCConfig

NameType
Is it required
Description
Example Value

¶ SamlIdpConfig

NameType
Is it required
Description
Example Value

¶ OauthIdpConfig

NameType
Is it required
Description
Example Value

¶ CasIdPConfig

NameType
Is it required
Description
Example Value
Previous article: Judge the user's permissions under the same level resources of the tree resource Next article: Get Application List
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.